# -*- coding: utf-8 -*-
from setuphelpers import *

r"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()
{
   "key":"{7DACF63A-4EE4-4837-9AF9-C65D4509FFB4}_is1",
   "name":"PDFgear 2.1.6",
   "version":"2.1.6",
   "install_date":"2024-08-20 00:00:00",
   "install_location":"C:\\Program Files\\PDFgear\\",
   "uninstall_string":"\"C:\\Program Files\\PDFgear\\unins000.exe\"",
   "publisher":"PDFgear",
   "system_component":0,
   "win64":true
  }
 ]

"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls


def install():
    # Declaring local variables
    bin_name = glob.glob('pdfgear_setup_*.exe')[0]
    # Installing the software
    
    install_exe_if_needed(bin_name,
        silentflags='/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-',
        key='{7DACF63A-4EE4-4837-9AF9-C65D4509FFB4}_is1',
        min_version=control.get_software_version(),
    )



